/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FAST                                                     */
/* Tabela : FASETRAM                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FAST'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_FAST
GO

CREATE TRIGGER DTULTATU_FAST
ON FASETRAM
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'FASETRAM', null, 'CDFASETRAM=' + CDFASETRAM + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FASETRAM
      SET DTULTATUFAST = GETDATE()
      FROM INSERTED;
   END;
END;
GO

